Qt 5.6 | Qt GUI | C++ Classes | QAccessibleObject

Qt 5.6.2 Reference Documentation

# QAccessibleObject Class

The QAccessibleObject class implements parts of the QAccessibleInterface for QObjects. More...

Header: | #include <QAccessibleObject>
qmake: | QT += gui
Inherits: | QAccessibleInterface

- List of all members, including inherited members

## Public Functions

| QAccessibleObject(QObject *object)

## Reimplemented Public Functions

virtual QAccessibleInterface * | childAt(int x, int y) const
virtual bool | isValid() const
virtual QObject * | object() const
virtual QRect | rect() const
virtual void | setText(QAccessible::Text t, const QString &text)

- 23 public functions inherited from QAccessibleInterface

## Protected Functions

virtual | ~QAccessibleObject()

## Detailed Description

The QAccessibleObject class implements parts of the QAccessibleInterface for QObjects.

This class is part of Accessibility for QWidget Applications.

This class is mainly provided for convenience. All subclasses of the QAccessibleInterface that provide implementations of non-widget objects should use this class as their base class.

See also QAccessible and QAccessibleWidget.

## Member Function Documentation

### QAccessibleObject::QAccessibleObject(QObject *object)

Creates a QAccessibleObject for object.

### `[virtual protected]` QAccessibleObject::~QAccessibleObject()

Destroys the QAccessibleObject.

This only happens when a call to release() decrements the internal reference counter to zero.

### `[virtual]` QAccessibleInterface *QAccessibleObject::childAt(int x, int y) const

Reimplemented from QAccessibleInterface::childAt().

### `[virtual]` bool QAccessibleObject::isValid() const

Reimplemented from QAccessibleInterface::isValid().

### `[virtual]` QObject *QAccessibleObject::object() const

Reimplemented from QAccessibleInterface::object().

### `[virtual]` QRect QAccessibleObject::rect() const

Reimplemented from QAccessibleInterface::rect().

### `[virtual]` void QAccessibleObject::setText(QAccessible::Text t, const QString &text)

Reimplemented from QAccessibleInterface::setText().